Filter Flow Run Input
curl --request POST \
--url https://api.example.com/flow_runs/{id}/input/filter \
--header 'Content-Type: application/json' \
--data '
{
"prefix": "<string>",
"limit": 1,
"exclude_keys": []
}
'import requests
url = "https://api.example.com/flow_runs/{id}/input/filter"
payload = {
"prefix": "<string>",
"limit": 1,
"exclude_keys": []
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({prefix: '<string>', limit: 1, exclude_keys: []})
};
fetch('https://api.example.com/flow_runs/{id}/input/filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"flow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"value": "<string>",
"sender": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Flow Runs
Filter Flow Run Input
Filter flow run inputs by key prefix
POST
/
flow_runs
/
{id}
/
input
/
filter
Filter Flow Run Input
Headers
Path Parameters
The flow run id
Body
application/json
Response
Successful Response
The flow run ID associated with the input.
The key of the input.
The value of the input.
The sender of the input.
Was this page helpful?
⌘I